    var map = null;
    var geocoder = null;

    function load() {
      if (GBrowserIsCompatible()) {
        map = new GMap2(document.getElementById("map"));
        geocoder = new GClientGeocoder();
      }
    }

    function showAddress(address,lat,lon) {

      if (geocoder) 
      {
         
		 var point = new GLatLng(lat,lon);    
	      
	      if (!point) 
	      {
	      
			    geocoder.getLatLng(
        		  address,
          		  function(point) 
          		  {
            			if (!point) 
				{
              			alert(address + " not found");
              	
            			} 
            			else 
            			{
					map.addControl(new GSmallMapControl());
					map.addControl(new GMapTypeControl());
              			map.setCenter(point, 15);
              			var marker = creationMarker(point, address);
              			map.addOverlay(marker);
            			}
          		}
        	  );
      	    }
           else 
	    {
		map.addControl(new GSmallMapControl());
		map.addControl(new GMapTypeControl());
	       map.setCenter(point, 15);
	       var marker = creationMarker(point,address);
	       map.addOverlay(marker);
	    }
	}
    }
    
	function creationMarker(centre,label,rooms,price)
	{
		var baseIcon = new GIcon();
		baseIcon.iconSize = new GSize(20, 20);
		baseIcon.iconAnchor = new GPoint(11, 15);
		baseIcon.infoWindowAnchor = new GPoint(5, 2);
		var pointeurImmonot = new GIcon(baseIcon);
	
	  	pointeurImmonot.image = "./img/icono_hotel.gif";
	
		var marker = new GMarker(centre, {title: label, icon: pointeurImmonot});
		return marker;
	}

